--[[ Copyright (c) 2017 Optera
* Part of Loader Redux
*
* See LICENSE.md in the project directory for license information.
--]]

function make_loader_item(name, subgroup, order)
  return{
    type="item",
    name=name,
    icon="__FasterLoaders__/graphics/icon/"..name..".png",
    icon_size = 32,
    icon_mipmaps = nil,
    subgroup=subgroup,
    order=order,
    place_result=name,
    stack_size=50
  }
end

data:extend({
    make_loader_item("yellow-loader","belt","d-a"),
    make_loader_item("red-loader","belt","d-b"),
	make_loader_item("purple-loader","belt","d-c"),
	make_loader_item("blue-loader","belt","d-d"),
    make_loader_item("green-loader","belt","d-e"),
	make_loader_item("black-loader","belt","d-f"),
	make_loader_item("grey-loader","belt","d-g"),
	make_loader_item("white-loader","belt","d-h"),
  })